export declare type DocumentStatus = 'published' | 'unpublished' | 'scheduled';
export interface Document {
    id: string;
    documentType: string;
    data: {
        [key: string]: any;
    };
    title: string;
    url: string;
    revision: number | any;
    status: DocumentStatus;
    tags: string[];
    standalone: boolean;
    published?: any;
    updated: any;
    created: any;
}
