export declare type FileType = 'image' | 'video' | 'document';
export interface TanamFile {
    id: string;
    title: string;
    bucket: string;
    filePath: string;
    fileType: string;
    mimeType: string;
    bytes: number;
    variants?: {
        small: string;
        medium: string;
        large: string;
    };
    updated: any;
    created: any;
}
export declare const MIME_TYPE_ENDING_MAP: {
    'image/jpg': string;
    'image/jpeg': string;
    'image/gif': string;
    'image/png': string;
    'image/tiff': string;
    'image/bmp': string;
    'image/ico': string;
    'image/svg+xml': string;
    'image/webp': string;
};
