import { PageContext } from '../models';
export interface DocumentQueryOptions {
    limit?: number;
    orderBy?: {
        field: string;
        sortOrder: 'asc' | 'desc';
    };
}
export declare function queryPageContext(documentTypeId: string, queryOpts?: DocumentQueryOptions): Promise<any[]>;
export declare function getPageContextById(docId: string): Promise<PageContext>;
export declare function getPageContextByUrl(url: string): Promise<PageContext>;
