export declare type AdminTheme = 'default' | 'light' | 'dark';
export declare const ADMIN_THEMES: {
    'default': string;
    'light': string;
    'dark': string;
};
export declare type TemplateType = 'dust';
export interface ThemeTemplate {
    id: string;
    title: string;
    selector: string;
    template: string;
    templateType: TemplateType;
    updated: any;
    created: any;
}
export interface Theme {
    id: string;
    title: string;
    description: string;
    updated: any;
    created: any;
}
