"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let tanamConfig;
function setConfig(config) {
    console.log(`[ConfigService:setConfig] ${JSON.stringify({ config })}`);
    tanamConfig = Object.assign({}, config);
}
exports.setConfig = setConfig;
function getPublicConfig() {
    return !tanamConfig ? null : {
        firebaseApp: tanamConfig.firebaseApp,
        loginProviders: tanamConfig.loginProviders,
    };
}
exports.getPublicConfig = getPublicConfig;
function getConfig() {
    return !!tanamConfig ? Object.assign({}, tanamConfig) : null;
}
exports.getConfig = getConfig;
//# sourceMappingURL=config.service.js.map